Skip to main content

Add candidate events

POST 
/enterprise/conversions/v1/events

Send candidate events that take place on your site to Indeed.

Request

Body

array

required

An array of events to send.

  • Array [

  • event stringrequired

    Possible values: [JOB_PAGE_LANDED, APPLY_COMPLETE]

    Type of event. Supports only the following enum types.

    guid stringrequired

    Partner GUID

    ittk stringrequired

    The Indeed tracking token. When a job seeker is redirected for the first time from Indeed to your job site, the API includes this token in the redirect URL. Save this token and pass it with every event you report for that job seeker. If multiple tokens are associated with a job seeker, supply only the most recent token.

    eventTimeMs integer

    The time at which the event occurred, in milliseconds since the UNIX epoch.

    jobUid string

    The unique ID of the job related to this event.

    testFire boolean

    Required during your initial integration and onboarding, when you must set this field to true. Indeed logs API calls with testFire set to true, but data is not posted to the Indeed Analytics Dashboard or used for reporting. After onboarding is complete, you can set it to false, exclude it, or set it to true when testing.

    userInfo

    object

    Information on the user who generated the event.

    Encrypt all user information using the SHA256 hash.

    email string

    The user's SHA256 hash-encrypted email address.

    firstName string

    The user's SHA256 hash-encrypted first name.

    lastName string

    The user's SHA256 hash-encrypted last name.

  • ]

Responses

Success

Loading...

Was this page helpful?